@import url("https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&family=Montserrat:wght@500;700&display=swap");

.product-card {
  display: flex;
  background-color: white;
  width: 500px;
  font-family: "Montserrat", sans-serif;
  height: fit-content;
  border-radius: 1rem;
  box-sizing: border-box;
  overflow: hidden;
  box-shadow: 1px 1px 5px 2px #d8d8d8;

  @media screen and (max-width: 520px) {
    flex-direction: column;
    margin: 1rem;
  }

  .left-section {
    display: flex;
    flex: 1;
    img {
      display: flex;
      flex: 1;
      width: 100%;
      @media screen and (max-width: 520px) {
        width: 200px;
        background-size: contain;
        height: 300px;
        background-image: url(../../assets/images/product-mobile.jpg);
      }
    }
  }
  .right-section {
    display: flex;
    box-sizing: border-box;
    flex: 1;
    flex-direction: column;
    gap: 1.25rem;
    padding: 1.75rem;

    @media screen and (max-width: 520px) {
      gap: 0.75rem;
    }

    .product {
      font-size: 0.875rem;
      color: grey;
      font-weight: 500;
      letter-spacing: 3px;

      @media screen and (max-width: 520px) {
        font-size: 0.75rem;
      }
    }

    .product-name {
      font-size: 2rem;
      line-height: 1.85rem;
      font-family: "Fraunces", serif;
      @media screen and (max-width: 520px) {
        font-size: 1.25rem;
      }
    }

    .description {
      font-size: 0.75rem;
      color: grey;
      line-height: 1.125rem;
      font-weight: 500;
    }

    .price-section {
      display: flex;
      flex: 1;
      gap: 1rem;
      align-items: center;

      .discounted-price {
        flex: 1;
        font-size: 2rem;
        font-family: "Fraunces", serif;
        color: hsl(158, 36%, 37%);

        @media screen and (max-width: 520px) {
          font-size: 1.25rem;
        }
      }
      .actual-price {
        flex: 1;
        color: grey;
        font-size: 0.875rem;
        text-decoration: line-through;
        @media screen and (max-width: 520px) {
          font-size: 0.75rem;
        }
      }
    }

    .cart-btn {
      background-color: hsl(158, 36%, 37%);
      border: none;
      padding: 16px;
      border-radius: 0.5rem;
      display: flex;
      font-family: "Montserrat", sans-serif;
      gap: 0.5rem;
      width: 100%;
      justify-content: center;
      font-weight: 500;
      align-items: center;
      color: white;
    }
  }
}
p {
  margin: 0;
}
